get_sound_input_cap_rate(3)

NAME
get_sound_input_cap_rate - Returns the maximum sample frequency for recording. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int get_sound_input_cap_rate(int bits, int stereo);

DESCRIPTION
Returns the maximum possible sample frequency for recording in the specified format, or zero if these settings are not supported. The bits parameter is the number of bits of the audio, and stereo is a boolean parameter. Pass zero for mono, non-zero for stereo input. Example:
   int max_freq;
   ...
   /* What frequency can we record 8 bits mono at? */
   max_freq = get_sound_input_cap_rate(8, 0);
   if (max_freq > 22000) {
      /* Ok, 22KHz and above is good enough. */
   }

SEE ALSO
start_sound_input(3), get_sound_input_cap_parm(3), get_sound_input_cap_bits(3), get_sound_input_cap_stereo(3)